<ng-container *transloco="let t; read: 'profile'">
  <mat-card class="mat-typography">
    <mat-card-header mat-dialog-title class="primary-title dialog-header-spacing profile-header">
      <img mat-card-avatar class="profile-image" [src]="profile.resized_profile_picture_urls?.w60 ?? blankProfile">
      <mat-card-title>{{profile.username}}</mat-card-title>
    </mat-card-header>
    <mat-dialog-content class="content-container dialog-content-text-color">
      <mat-card appearance="outlined" class="round-card-border card-padding">
        <mat-card-title>{{t('status')}}</mat-card-title>
        <div class="row-container align-center">
          <div class="status-indicator" [ngClass]="profile.account_state|lowercase"></div>
          <div>{{'account_state.'+profile.account_state|transloco}}</div>
        </div>
      </mat-card>
      <mat-card appearance="outlined" class="round-card-border card-padding">
        <mat-card-title>{{t('user_data')}}</mat-card-title>
        <div class="row-container">
          <div class="column-container">
            <b>{{t('name')}}</b>
            <p>{{profile.details.title}} {{profile.details.first_name}} {{profile.details.last_name}}</p>
          </div>
          <div
            *ngIf="profile.user_roles && profile.user_roles.length"
            class="column-container">
            <b>{{t('role')}}</b>
            <div class="row-container">
              <span *ngFor="let role of profile.user_roles; last as l">
                {{'roles.'+role|transloco}}<span *ngIf="!l">, </span>
              </span>
            </div>
          </div>
        </div>
      </mat-card>
      <mat-card appearance="outlined" class="round-card-border card-padding">
        <mat-card-title>{{t('contact_data')}}</mat-card-title>
        <div class="row-container">
          <div class="column-container">
            <b>{{t('address')}}</b>
            <div>{{profile.contact_data.street_name}} {{profile.contact_data.street_number}}</div>
            <p>{{profile.contact_data.zip_code}} {{profile.contact_data.place_name}}</p>
          </div>
          <div class="column-container">
            <b>{{t('phone_number')}}</b>
            <p>{{profile.contact_data.phone_number}}</p>
          </div>
          <div class="column-container">
            <b>{{t('email')}}</b>
            <p>{{profile.contact_data.email_address}}</p>
          </div>
          <div class="column-container">
            <b>{{t('region')}}</b>
            <p>{{profile.contact_data.country_code|codeToCountry|async}}</p>
          </div>
        </div>
      </mat-card>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-flat-button
        class="round-button"
        color="primary"
        mat-dialog-close>
        {{t('close')}}
      </button>
    </div>
  </mat-card>
</ng-container>
